/elements
Retrieves a list of Elements, which represent the Assets managed in Infraspeak.
Use the query parameters (detailed in the JQL documentation) to filter and refine the list of Assets based on specific criteria.
getElements
data
array<object>
required
id
string
required
read-only
The unique string identifier of the Element record.
Example: 123
type
string
required
read-only
The resource type. Always 'element' for Element records.
element
Example: element
attributes
object
required
An object containing the Element's attributes.
cost_center_id
integer | null
required
The ID of the Cost Center associated with this Element, if available.
Example: 758
type
string
required
The specific type of the Element. Allowing to identify if a Element is a equipment or local
LOCAL
EQUIPMENT
Example: EQUIPMENT
barcode
string | null
required
The barcode value associated with the Element, if available.
Example: N123T
code
string | null
required
The assigned code or identifier for the Element, often used for quick reference.
Example: 123A
created_at
string (date-time)
required
read-only
The timestamp when the Element record was created. This field uses the ISO 8601 format.
Example: 2019-06-22T17:26:27.000000Z
date_deleted
string (date-time) | null
required
read-only
The timestamp when the Element was marked as deleted (soft delete). Null if not deleted.
element_id
integer
required
read-only
The unique numeric identifier for the Element record (matches the top-level 'id').
Example: 123
element_uuid
string (uuid)
required
read-only
The universally unique identifier (UUID) for the Element record.
Example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
entity_id
integer
required
The ID of the parent Entity this Element belongs to.
Example: 456
failures_count
integer
required
read-only
A counter indicating the number of open Failures (Work orders) for this element.
Example: 0
has_bar_code
boolean
required
Flag indicating whether the Element has an associated barcode.
Example:
has_nfc
boolean
required
Flag indicating whether the Element is equipped with an NFC tag.
Example: 1
has_pmp
boolean
Flag indicating whether the element has PMP (Preventive Maintenance Plan) * Only present when the query parameter `showHasPMP` is set to true
Example:
is_direct_page_accessible
boolean
required
Flag indicating whether the element is accessible from Direct pages.
Example: 1
is_from_network
boolean
required
Flag indicating whether the element is part of the Network feature (if it has been shared).
Example:
last_modified
string | null
required
read-only
The timestamp of the last recorded modification or action related to the Element. This field uses the DATETIME format (YYYY-MM-DD HH:MM:SS).
Example: 2024-07-25 12:57:33
latitude
number (float) | null
required
The geographical latitude coordinate of the Element, if available.
Example: 41.1458
local_id
integer | null
required
The ID of the Local (Location) where this Element belongs.
Example: 445
longitude
number (float) | null
required
The geographical longitude coordinate of the Element, if available.
Example: 42.1458
maintenance_policy_id
integer | null
The ID of the Maintenance Policy associated with this Element, if available.
Example: 659
matched_element
object | null
The matched element associated with this element.
type
string
The type of the matched element
LOCAL
EQUIPMENT
Example: EQUIPMENT
code
string
Code of the matched element
Example: ASSET.1.CODE
id
integer
ID of the matched element
Example: 12
is_from_network
boolean
Flag that indicates if the matched element is from network or not
Example:
metering
array<object>
Element measurements in array format * Only available for the single-item element endpoint * Only present when the query parameter `showMeteringData` is set to true, and if there are any measurements. Otherwise, the field will not be sent
type
string
The type of measurement
RANGE
TEXT
CUMULATIVE
CATALOG
AUDIT
Example: CATALOG
category_metering_id
integer
The ID of the Category Metering associated with this measurement.
Example: 1
element_registry_id
integer
The ID of the Element Registry associated with this measurement.
Example: 2
max_value
number | null
The maximum value of this measurement
Example: 15
min_value
number | null
The minimum value of this measurement
Example: 5
name
string
Name of this measurement.
Example: Lorem
statistics
union
Current measurement statistics
max
string
The maximum value of this statistic
Example: 235
min
string
The minimum value of this statistic
Example: 2
avg
string
The average value of this statistic
Example: 109.17
stddev_samp
string
The sample standard deviation of the metering readings. Indicates the data point spread around the average. Lower values mean data is closer to the average; higher values indicate a wider spread.
Example: 100.68
last_value
string
The last value of this measurement was recorded
Example: option1
las_reading_time
string
The date of the last value of this measurement was recorded
Example: 2021-11-24T15:25:25+00:00
unit
string | null
Name of the type of measurement unit.
Example: UN
values
array
nfc_code
string | null
required
The element's NFC tag code, if available.
Example: A123B
observation
string | null
required
Optional notes or observations recorded for the Element.
Example: Lorem ipsum dolor sit amet, consectetur adipiscing elit
updated_at
string (date-time)
required
read-only
The timestamp when the Element record was last updated. This field uses the ISO 8601 format.
Example: 2025-01-31T12:34:48.000000Z
meta
object
custom_fields
object | null
included
array<union>
List of related resources to be included in the response. * The related resources will be present according to the parameters that have been sent via the `expanded` query parameter
id
string | null
required
The unique string identifier of the Audit Stats record.
Example: 123
type
string
required
The resource type. Always 'audit_stats' for Audit Stats records.
audit_stats
Example: audit_stats
attributes
object
required
An object containing the Audit Stats attributes.
max_value
number
required
The maximum potential value or weight defined for this measurement category associated with the asset. It represents the sum of the maximum weights of all related catalog entries for this category.
Example: 100
current_value
number
required
The current value or weight recorded for this measurement. If no value has been recorded, this will be 0.
Example: 75
current_max_value
number
required
The current maximum potential value achievable based on the recorded measurements. It sums the maximum weights for the catalog entries that currently have a recorded value.
Example: 100
id
string | null
required
The unique string identifier of the Audit Stats record.
Example: 123
type
string
required
The resource type. Always 'audit_stats' for Audit Stats records.
audit_stats
Example: audit_stats
attributes
object
required
An object containing the Audit Stats attributes.
category_id
integer
required
The ID of the Category associated with this Audit Stats.
Example: 1
max_value
number
required
The maximum potential value or weight defined for this measurement category associated with the asset. It represents the sum of the maximum weights of all related catalog entries for this category.
Example: 100
current_value
number
required
The current value or weight recorded for this measurement. If no value has been recorded, this will be 0.
Example: 75
current_max_value
number
required
The current maximum potential value achievable based on the recorded measurements. It sums the maximum weights for the catalog entries that currently have a recorded value.
Example: 100
schedule_work_id
integer
required
The ID of the Schedule Work associated with this Audit Stats.
Example: 2
id
string
required
read-only
ID of the Element Characteristic
Example: 123
type
string
required
read-only
The resource type. Always 'element-characteristic' for ElementCharacteristic records.
element-characteristic
Example: element-characteristic
attributes
object
required
element_characteristic_id
integer
required
ID of the Element Characteristic
Example: 123
element_id
integer
required
ID of the associated Element
Example: 327
characteristic_id
integer
required
ID of the associated Characteristic
Example: 587
value
union
required
Value of the Element Characteristic. The type of this value depends on the characteristic_type (can be text or number or null)
material_id
integer | null
required
ID of the associated Material
Example: 687
quantity
number | null
required
Quantity of the material
Example: 893
characteristic_catalog_id
integer | null
required
ID of the associated Characteristic Catalog
Example: 687
is_from_network
boolean
required
Whether the Element Characteristic is received from the network
Example:
id
string
required
read-only
ID of the Element Economic
Example: 123
type
string
required
read-only
The resource type. Always 'element_economic' for ElementEconomic records.
element_economic
Example: element_economic
attributes
object
required
element_economic_id
integer | null
required
read-only
ID of the Element Economic
Example: 123
acquisition_cost
string | null
required
Acquisition cost of the Element
Example: 25.9
lifetime
integer | null
required
Lifetime of the Element
Example: 3
supplier_name
string | null
required
Name of the Element Supplier
Example: John Doe
acquisition_date
string | null
required
read-only
Example: 2021-07-21 18:38:00
stoppage_cost
number | null
required
Stoppage cost of the Element
Example: 75.9
residual_value
number | null
required
Residual value of the Element
Example: 2
actual_value
string | null
required
Actual value of the Element
Example: 75.85
annual_depreciation
string | null
required
Annual depreciation of the Element
Example: 54.3687
deperciation_tax
string | null
required
Depreciation tax of the Element * Yes, we have a typo here
Example: 50.00
month_life
number | null
required
Month life of the Element
Example: 1
monthly_depreciation
string | null
required
Monthly depreciation of the Element
Example: 0.9542
total_depreciated
string | null
required
Total depreciation of the Element
detailed_costs_not_scheduled
array<object>
Array of detailed not scheduled costs. (Can be an empty array)
label
string
Label of the cost
Example: 5-2025
group_start_time
string (date-time) | null
read-only
Example: 2025-05-01 00:00:00+00
labor_cost
string
The labor cost
Example: 0.00
cumulative_labor_cost
string
The cumulative labor cost
Example: 0.00
material_cost
string
The material cost
Example: 0.00
cumulative_material_cost
string
The cumulative material cost
Example: 0.00
cumulative_total_cost
string
The cumulative total cost
Example: 0.00
detailed_costs_scheduled
array<object>
Array of detailed scheduled costs. (Can be an empty array)
label
string
Label of the cost
Example: 5-2025
group_start_time
string (date-time) | null
read-only
Example: 2025-05-01 00:00:00+00
labor_cost
string
The labor cost
Example: 0.00
cumulative_labor_cost
string
The cumulative labor cost
Example: 0.00
material_cost
string
The material cost
Example: 0.00
cumulative_material_cost
string
The cumulative material cost
Example: 0.00
cumulative_total_cost
string
The cumulative total cost
Example: 0.00
detailed_costs_failure
array<object>
Array of detailed failure costs. (Can be an empty array)
label
string
Label of the cost
Example: 5-2025
group_start_time
string (date-time) | null
read-only
Example: 2025-05-01 00:00:00+00
labor_cost
string
The labor cost
Example: 0.00
cumulative_labor_cost
string
The cumulative labor cost
Example: 0.00
material_cost
string
The material cost
Example: 0.00
cumulative_material_cost
string
The cumulative material cost
Example: 0.00
cumulative_total_cost
string
The cumulative total cost
Example: 0.00
id
string | null
required
The unique string identifier of the Element Network Shared Mapping record.
Example: 123
type
string
required
The resource type. Always 'element_network_shared_mapping' for Element Network Shared Mapping records.
element_network_shared_mapping
Example: element_network_shared_mapping
attributes
object
required
An object containing the Element Network Shared Mapping attributes.
element_id
integer
required
read-only
The ID of the Element that was shared
Example: 22
entity_id
integer
required
The ID of the Entity associated with the Element.
Example: 12
receiver_id
integer
required
The ID of the receiver (Entity) to which the Element has been shared.
Example: 214
receiver_type
string
required
The type of receiver
CLIENT
SUPPLIER
Example: SUPPLIER
created_at
string (date-time)
required
The timestamp when the record was created. This field uses the ISO 8601 format.
Example: 2019-06-22T17:26:27.000000Z
updated_at
string (date-time)
required
The timestamp when the record was last updated. This field uses the ISO 8601 format.
Example: 2025-01-31T12:34:48.000000Z
id
string
required
read-only
ID of the Element Other Cost
Example: 123
type
string
required
read-only
The resource type. Always 'element_other_cost' for Element Other Cost records.
element_other_cost
Example: element_other_cost
attributes
object
required
element_other_cost_id
integer
read-only
The unique numeric identifier for the Element Other Cost record (matches the top-level 'id').
Example: 123
element_id
integer
ID of the associated Element
Example: 123
other_cost_id
integer
ID of the associated Other Cost
Example: 123
entity_id
integer
ID of the associated Entity
Example: 123
operator_id
integer
ID of the associated Operator
Example: 123
numeric_value
number | null
Numeric value of the Element Other Cost
Example: 1.2
start_time
string (date-time) | null
read-only
Example: 2020-08-28T17:12:00.000Z
end_time
string (date-time) | null
read-only
Example: 2020-08-28T17:12:00.000Z
description
string | null
A description about the Element Other Cost
interval_value
string
The duration of the ElementOtherCost in the format (HH-MM-SS)
Example: 00:15
updated_date
string (date-time)
read-only
Example: 2020-08-28T17:12:00.000Z
cost
number
The cost of the Element Other Cost
Example: 1.2
id
string
required
read-only
The unique string identifier of the Element Registry record.
Example: 123
type
string
required
read-only
The resource type. Always 'element_registry' for Element Registry records.
element_registry
Example: element_registry
attributes
object
required
An object containing the Element Registry's attributes.
element_registry_id
integer
required
The unique numeric identifier for the Element Registry record (matches the top-level 'id').
Example: 123
maintenance_procedure_id
integer | null
required
The ID of the Maintenance Procedure associated with this Element Registry, if available.
Example: 345
operator_id
integer | null
required
The ID of the Operator associated with this Element Registry, if available. - Helps identify the operator who performed the action that generated the record
Example: 456
work_id
integer | null
required
The ID of the Work associated with this Element Registry, if available. - Works are also described in the application as `Planned Jobs`.
Example: 567
schedule_work_id
integer | null
required
The ID of the Scheduled Work associated with this Element Registry, if available. - Scheduled Works are also described in the application as `Planned jobs orders`.
Example: 678
status
string
required
Indicates the status of the Element Register
PENDING
CANCELED
ACTIVE
COMPLETED
Example: COMPLETED
element_id
integer | null
required
The ID of the Element (Asset) associated with this Element Registry, if available.
Example: 987
start_time
string | null
required
The timestamp for when the action was started - Not all actions have a **start_time** - An example of an action with **start_time** is `SCHEDULED_WORK`
Example: 2021-07-21 18:38:00
end_time
string | null
required
The timestamp for when the action was finished - Not all actions have a **end_time** - An example of an action with **end_time** is `SCHEDULED_WORK`
Example: 2021-07-21 18:38:00
observation
string | null
required
Optional notes or observations recorded for the Element Registry.
Example: Lorem ipsum dolor sit amet, consectetur adipiscing elit
entity_id
integer
required
The ID of the parent Entity this Element belongs to.
Example: 456
action
string
required
The performed action that generated the Element Registry - Actions can refer to the Element, or they can be about other resources linked to the Element in some way
ADD_COST
ADDED
ADDED_COST_CENTER
CHANGE_BAR_CODE
CHANGED_COST_CENTER
CHANGE_ELEMENT_STATUS
CHANGE_HOUSEKEEPER_OBSERVATION
CHANGE_HOUSEKEEPER_STATUS
CHANGE_IDENTIFIER
CHANGE_LOCAL
CHANGE_POLICY
CHANGE_WORK_ORDER_LOCAL
DELETE_COST
DELETED
DELETED_COST_CENTER
EDIT_COST
EDIT_ELEMENT_CHARACTERISTICS
FAILURE_TASK
MAINTENANCE_PROCEDURE
MANUAL_TASK
NEW_FAILURE
REMOVE_BAR_CODE
REMOVE_IDENTIFIER
SCHEDULED_WORK
SPECIAL_WORK
VISIT_BAR_CODE
VISIT_MANUAL
VISIT_NFC
Example: ADD_COST
failure_id
integer | null
required
ID of the failure
Example: 789
intervention_id
integer | null
required
ID of the intervention
Example: 875
duration
string | null
required
Duration of the action
Example: 12 days 22:21:25
intervention_estimated_time
string | null
Estimate time, in format H:m:s, configured at Intervention level on the moment the Scheduled Work was completed
Example: 01:21:25
maintenance_procedure_estimated_time
string | null
Estimated time, in format H:m:s, configured at Task level on the moment the Scheduled Work was completed
Example: 00:41:05
from_local_id
integer | null
required
ID of the Local where the action begins
Example: 756
to_local_id
integer | null
required
ID of the Local where the action ends
Example: 755
to_maintenance_policy_id
integer | null
required
ID of the Maintenance Policy where the action begins
Example: 742
from_maintenance_policy_id
integer | null
required
ID of the Maintenance Policy where the action ends
Example: 364
quantity
number | null
required
Quantity used in the action
visit_type
string | null
required
Type of the visit
status_after
string | null
required
Status after the action
Example: 1
element_other_cost_id
integer | null
required
ID of the element other cost
Example: 687
characteristics_updates
array<object> | null
required
The characteristics updated during the action
label
string
The label of the Characteristic
Example: A05. Weight
newValue
string
The value after update. Has a mixed type
Example: 2 Kg
oldValue
string | null
The value before update. Has a mixed type
Example: 6 Kg
characteristicId
integer
The ID of the Characteristic
Example: 1247
element_registry_uuid
string (uuid)
required
read-only
The universally unique identifier (UUID) for the Element Registry record.
Example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
snapshot
object | null
required
A snapshot object containing all the valuable properties affected by the action in the Assets Registry.
Example: []
created_at
string (date-time)
required
read-only
The timestamp when the Element Registry record was created. This field uses the ISO 8601 format.
Example: 2019-06-22T17:26:27.000000Z
updated_at
string (date-time)
required
read-only
The timestamp when the Element Registry record was last updated. This field uses the ISO 8601 format.
Example: 2025-01-31T12:34:48.000000Z
id
string | null
required
The unique string identifier of the Failure Element Network Status record.
Example: 123
type
string
required
The resource type. Always 'failure_element_network_status' for Failure Element Network Status records.
failure_element_network_status
Example: failure_element_network_status
attributes
object
required
An object containing the Failure Element Network Status attributes.
element_id
integer
required
read-only
The ID of the Element associated.
Example: 22
type
string
The type that identifies the side to which this mapping belongs
SENDER
RECEIVER
Example: SENDER
entity_id
integer
required
The ID of the Entity associated with the Element.
Example: 12
failure_id
integer
required
The ID of the Failure associated with the Element.
Example: 15
network_element_uuid
string (uuid)
The UUID that identifies the Element throughout the Network
Example: e632afe8-a1bf-4702-b5bd-sb51a77dss3
network_failure_uuid
string (uuid)
The UUID that identifies the Failure throughout the Network
Example: e632afe8-a1bf-4702-b5bd-b1163861ba51
id
string
required
read-only
ID of the Category
Example: 123
type
string
required
read-only
Model type
category
Example: category
attributes
object
required
category_id
integer
read-only
ID of the Category
Example: 123
type
string
The Category type. A "TYPE_OF_EQUIPMENT" Category is directly related to equipments (e.g. a fridge) and a Category "SOFT_MAINTENANCE" is related to Locations (E.g. hotel rooms).
SOFT_MAINTENANCE
TYPE_OF_EQUIPMENT
Example: SOFT_MAINTENANCE
all_technical_skills
boolean | null
Indicates if this category is associated to all technical skills.
Example: 1
code
string
Code of the Category.
Example: VENT
entity_id
integer
Entity ID of the Category.
Example: 123
full_code
string | null
read-only
Codes of the category's parents concatenated by dot with category code.
Example: XYZ.VENT
has_children
boolean
read-only
Whether the category has subitems or not.
Example: 1
is_real
boolean | null
Whether the category is a folder (false) or "final" category (true).
Example: 1
name
string
Name of the Category.
Example: Ventilation
parent_id
integer | null
ID of the category parent.
Example: 123
relationships
object
Available relationships of the Category.
categoryMeterings
object
Category Meterings associated to the category.
characteristics
object
Characteristics associated to the category.
entity
object
Entity associated to the category.
files
object
Files associated to the category.
maintenanceProcedures
object
Maintenance Procedures associated to the category.
maintenancePolicies
object
Maintenance Policies associated to the category.
problems
object
Problems associated to the category.
technicalSkills
object
Technical Skills associated to the category.
id
string
read-only
ID of MeteringRegistry
type
string
Model type
metering-registry
attributes
object
metering_registry_id
integer
ID of MeteringRegistry
element_id
integer
ID of Element
operator_id
integer
ID of Operator
category_metering_id
integer
ID of Category Metering
category_metering_catalog_id
integer
ID of Category Metering Catalog
value
string
Value of the Metering Registry
weight
integer | null
Value of the Metering Registry
observation
string
Observation of the Metering Registry
updated_by
string
User that updated the Metering Registry
date_created
string
Date of creation of Metering Registry
automated
boolean
last_metering_date
string
Date of last metering
last_metering_value
string
Value of last metering
measured_at
string
Date of measurement
uuid
string
Uuid of the Metering Registry
id
string
read-only
ID of MaintenancePolicy
type
string
Model type
maintenance-policy
attributes
object
maintenance_policy_id
integer
ID of MaintenancePolicy
name
string
Maintenance Policy Name
has_cost
boolean
Maintenance Policy has cost
category_id
integer
ID of Category
id
string
required
read-only
ID of the Client
Example: 123
type
string
required
read-only
Model type
client
Example: client
attributes
object
required
client_id
integer
ID of the Client
Example: 123
client_uuid
string (uuid)
UUID of the Client
Example: e632afe8-a1bf-4702-b5bd-b1163861ba51
name
string
Client Name
Example: John Doe
code
string | null
Client Code
Example: JD
nif
string | null
NIF/ VAT Number of the Client
Example: 1234566789
postal_code
string | null
Postal Code of the Client
Example: 1234-567
city
string | null
City of the Client
Example: Lisbon
observations
string | null
Additional information
Example: abc
address
string | null
Address of the Client
Example: abc
country
string | null
Country of the Client
Example: PT
created_at
string (date-time)
read-only
The datetime of the creation of the Client
Example: 2020-12-03T12:45:00
updated_at
string (date-time)
read-only
The datetime of the last update of the Client
Example: 2020-12-03T12:45:00
has_handshake
boolean
Indicates if this Client is "connected" to work on Infraspeak Network.
Example: 1
my_company
boolean
Indicates whether it is the entity's default client
Example: 1
relationships
object
The relationships of the Client (Only present when expanded in the request)
buildings
object
The Buildings associated to the Client
contacts
object
The Contacts associated to the Client
files
object
The Files associated to the Client
profilePicture
object
The profile picture of the the Client
operators
object
The Operators associated to the Client
handshake
object
The Handshake associated to the Client
id
string
read-only
Cost Center ID
type
string
read-only
Resource type
cost_center
attributes
object
name
string
Name for the Cost Center.
Example: AVAC Corretiva
code
string
Code for the Cost Center
Example: C.AVAC
responsible_name
string | null
Name for the person responsible for the Cost Center
Example: Luis
responsible_email
string | null
Email for the person responsible for the Cost Center
Example: luis@example.com
responsible_phone
string | null
Phone Number for the person responsible for the Cost Center
Example: +351912345678
responsible_cellphone
string | null
Cellphone Number for the person responsible for the Cost Center
Example: +351912345678
observation
string | null
User defined Observations for the Cost Center
Example: An observation regarding my cost center.
id
string
required
read-only
ID of the Failure
type
string
required
read-only
Model type
failure
attributes
object
required
failure_id
integer
read-only
ID of the Failure
Example: 1
uuid
string (uuid)
read-only
Universally Unique Identifier for the Failure
problem_id
integer
ID of the associated problem
status
string
read-only
WAITING_APPROVAL
WAITING_RESOLUTION
IN_RESOLUTION
PAUSED
COMPLETED
ARCHIVED
start_date
string (date-time)
read-only
Example: 2020-08-28T08:48:00.000Z
completed_date
string (date-time) | null
read-only
Example: 2020-08-28T17:12:00.000Z
approved_date
string (date-time) | null
read-only
Example: 2020-08-28T09:30:00.000Z
paused_date
string (date-time) | null
read-only
Example: 2020-08-28T13:05:00.000Z
description
string
Example: Needs replacement
last_status_description
string
Example: Completed
observations
string | null
Example: Needs a new part
code
string
Example: WO2022
fts_vector
string
Denormalized data of a Failure
priority
integer
Failure priority number being 1 the lowest priority and 4 the highest priority.
1
2
3
4
client_id
integer
read-only
ID of the associated client defined according to the respective `local_id`.
entity_id
integer
read-only
ID of the Entity of the Failure
metering_registry_id
integer | null
read-only
ID of a possible associated metering registry
local_id
integer
ID of the location associated to the Failure
paused_reason_id
integer
ID of the paused reason associated to the Failure
external_id
string | null
External ID to be associated to the Failure
report_name
string
Name of who reported the Failure
solved
boolean
read-only
Indicates whether the Failure was closed successfully or not
confirmed
boolean
read-only
Indicates whether the Failure is confirmed or not
started
boolean
read-only
Indicates whether the Failure is started or not
paused
boolean
read-only
Indicates whether the Failure is paused or not
completed
boolean
read-only
Indicates whether the Failure is completed or not
archived
boolean
read-only
Indicates whether the Failure is archived or not
approved
boolean
read-only
Indicates whether the Failure is approved or not
next_schedule
string (date-time) | null
read-only
Example: 2020-08-29T10:30:00.000Z
message_count
integer
Example: 3
time_statistics
object
approved_date
string (date-time) | null
read-only
Example: 2020-08-28T09:30:00.000Z
last_completed_date
string (date-time) | null
read-only
Example: 2020-08-28T17:12:00.000Z
last_paused_date
string (date-time) | null
read-only
Example: 2020-08-28T13:05:00.000Z
started_date
string (date-time) | null
read-only
Example: 2020-08-28T09:45:00.000Z
time_to_approve
string | null
read-only
Duration it took to approve the Failure since reported in `ISO8601` format.
Example: P0Y0M0DT0H42M0S
time_to_complete
string | null
read-only
Duration it took to complete the Failure since reported in `ISO8601` format.
Example: P0Y0M0DT8H24M0S
time_to_complete_after_started
string | null
read-only
Duration it took to complete the Failure since the resolution started in `ISO8601` format.
Example: P0Y0M0DT7H27M0S
time_to_start
string | null
read-only
Duration it took to start the Failure's resolution since reported in `ISO8601` format.
Example: P0Y0M0DT0H57M0S
time_to_start_after_approved
string | null
read-only
Duration it took to start the Failure's resolution since approved in `ISO8601` format.
Example: P0Y0M0DT0H15M0S
real_duration
string | null
read-only
Real duration of the Failure's resolution time in `ISO8601` format.
Example: P0Y0M0DT7H27M0S
supplier_id
integer
ID of the supplier associated to the Failure
signature_status
string
Indicates whether the Failure is signed or not
SIGNED
NOT_SIGNED
last_status_change_date
string (date-time)
read-only
Example: 2020-08-28T09:30:00.000Z
approved_by_id
integer | null
read-only
ID of the operator who approved the Failure.
completed_by_id
integer | null
read-only
ID of the operator who completed the Failure.
started_by_id
integer | null
read-only
ID of the operator who started the Failure's resolution.
paused_by_id
integer | null
read-only
ID of the operator who paused the Failure's resolution.
approved_by
string | null
read-only
Name of the operator who approved the Failure.
completed_by
string | null
read-only
Name of the operator who completed the Failure.
started_by
string | null
read-only
Name of the operator who started the Failure's resolution.
paused_by
string | null
read-only
Name of the operator who paused the Failure's resolution.
reported_by
string | null
read-only
Name of the operator who reported the Failure.
manpower_duration
string | null
read-only
Duration of the Failure's manpower time in `ISO8601` format.
Example: P0Y0M0DT7H27M0S
cost_center_id
integer | null
ID of the cost center associated to the Failure
network_failure_id
integer
read-only
ID of the Network Failure
Example: 1
created_at
string (date-time)
read-only
updated_at
string (date-time)
read-only
date_deleted
string (date-time)
read-only
relationships
object
approvedBy
object
data
object
type
string
read-only
operator
id
string
read-only
completedBy
object
data
object
type
string
read-only
operator
id
string
read-only
createdBy
object
data
object
type
string
read-only
operator
id
string
read-only
files
object
data
array<object>
type
string
read-only
file
id
string
read-only
location
object
data
object
type
string
read-only
location
id
string
read-only
operator
object
data
object
type
string
read-only
operator
id
string
read-only
id
string
read-only
ID of the Geolocation
Example: 1
type
string
read-only
Model type
geolocation
attributes
object
related_to_id
integer
Id of Related Object
Example: 1
related_to_type
string
Type related to
ELEMENT
LOCAL
OPERATOR
Example: OPERATOR
latitude
string
latitude of the geolocation
Example: 0.0000000
longitude
string
longitude of the geolocation
Example: 0.0000000
accuracy
string
accuracy of the geolocation
Example: 10
altitude
string
altitude of the geolocation
Example: 10
provider
string
provider of the geolocation
Example: MANUAL
states
array<string>
states of the geolocation
Example: ["WORKING","FAILURE","SCHEDULED_WORK"]
thumb
string
thumbnaill for the map
Example: https://...
active
boolean
active state of the geolocation
Example: 1
created_at
string | null
read-only
Date when the Geolocation was created
Example: 2021-07-21 18:38:00
updated_at
string | null
read-only
Date when the Geolocation was created
Example: 2021-07-21 18:38:00
label
string
If related_to_type is 'OPERATOR' then we send his full name as the label
Example: Gabriel Monteiro
id
string
read-only
ID of the HousekeeperAssetStatus
Example: 1
type
string
read-only
Model type
housekeeper_asset_status
attributes
object
status_id
integer
Status Id
Example: 1
element_id
integer
Element Id
Example: 2
observation
string | null
Observation
Example: Some Observation
external_observation
string | null
External observation from a PMS Integration
Example: Some Observation
work_id
integer | null
ID of the related Work
Example: 2
max_target_status_date
string (date-time) | null
Datetime of the max target status
Example: 2021-07-20T18:38:00.000Z
assignees
array<object> | null
List of the assigned Operators
check_in
string (date-time) | null
Check in
Example: 2021-07-20T18:38:00.000Z
check_out
string (date-time) | null
Check out
Example: 2021-07-21T18:38:00.000Z
id
string
read-only
ID of the HousekeeperStatus
Example: 1
type
string
read-only
Model type
housekeeper_status
attributes
object
status_code
string
Status code
Example: Status code
order
integer
Status order
Example: 0
default
boolean
Status order
Example: 1
id
string
required
read-only
ID of the Location
type
string
required
read-only
Model type
location
attributes
object
required
entity_id
integer
name
string
required
Location name
full_name
string
required
read-only
Names of the location's parents concatenated by hyphen with location name.
code
string
required
Location code.
full_code
string
required
read-only
Codes of the location's parents concatenated by dot with location code.
original_full_code
string | null
read-only
Location original full code.
observation
string | null
required
Additional information
date_updated
string | null
required
read-only
Example: 2021-07-21 18:38:00
parent_id
integer
ID of the location parent.
root_parent_id
integer
read-only
ID of the location root parent (of `type` equals to `building`).
area
number | null
Location area
glass_area
number | null
Location glass area
volume
number | null
Location volume
orientation
string | null
Solar orientation (North, South, West, East)
is_from_network
boolean
read-only
If Location is from network
local_uuid
string (uuid)
read-only
Location UUID
assets_count
integer | null
read-only
Cumulative count of assets (equipment) in this location and all its descendants. Only present when `with_assets_count=true` query parameter is provided.
associations
array<string>
List of ways the operator is associated with this building. Possible values are `DIRECT` (via a direct local-operator assignment), `TEAM` (via a team the operator belongs to), and `CLIENT` (via a client the operator is assigned to).
relationships
object
building
object
data
object
type
string
read-only
building
id
string
read-only
files
object
data
array<object>
type
string
read-only
file
id
string
read-only
operators
object
data
array<object>
type
string
read-only
operator
id
string
read-only
localOrientation
object
data
array<object>
type
string
read-only
localOrientation
id
string
read-only
id
string | null
required
The unique string identifier of the Profile Picture record.
Example: 123
type
string
required
The resource type. Always 'profile-picture' for Profile Picture records.
profile-picture
Example: profile-picture
attributes
object
required
An object containing the Profile Picture attributes.
profile_picture_id
integer
required
read-only
The ID of the Profile Picture
Example: 22
path
string (uri)
required
The full path of the original image
Example: https://api.infraspeak.com/tmp/bebc3cd8efca9c6af8618d1016c163d3.jpeg
path_icon
string (uri)
required
The full path of the image as a icon
Example: https://api.infraspeak.com/tmp/b80bd97ee33af2da479e40e4b64a811.jpeg
date_uploaded
string (date-time)
required
The timestamp when the picture was uploaded This field uses the ISO 8601 format.
Example: 2025-01-31T12:34:48.000000Z
id
string
required
read-only
ID of the Stock
type
string
required
read-only
Model type
stock
attributes
object
required
stock_id
integer
read-only
ID of the Stock
Example: 1
stock_movement_id
integer | null
read-only
ID of the last Stock Movement of the Stock
Example: 1
action
string | null
read-only
Action performed for the stock
warehouse_id
integer | null
read-only
ID of the warehouse associated with the stock
material_id
integer
read-only
ID of the material associated with the stock
quantity
number
read-only
Quantity of the material present in the stock
mean_price
number | null
read-only
Mean price of the material associated with the stock
observation
string | null
read-only
Description or notes of the stock
date
string (date-time) | null
read-only
Example: 2020-08-28 17:12:00
failure_id
integer | null
read-only
ID of the failure associated with the stock
schedule_work_id
integer | null
read-only
ID of the schedule work associated with this stock
mean_price_manually_updated
boolean
read-only
Mean price of the stock (if it was manually updated)
date_updated
string (date-time) | null
read-only
Example: 2020-08-28 17:12:00
destination_id
integer
read-only
ID of the destination warehouse of the stock. Only present if the stock action is "MOVED_FROM"
source_id
integer
read-only
ID of the origin warehouse of the stock. Only present if the stock action is "MOVED_TO"
id
string
required
read-only
ID of the Material
Example: 1
type
string
required
read-only
Model type
material
Example: material
attributes
object
required
material_id
integer
read-only
ID of the material
Example: 1
parent_id
integer
read-only
ID of the associated folder of the material
Example: 1
name
string
Name of the material
Example: Chair
code
string
Code of the material
Example: CH-00001
full_code
string
read-only
Full code of the material (folders prefix included)
Example: FOLDER.CH-00001
observations
string | null
Material observations
Example: This is a observation
is_real
boolean
Indicates if this is a real material or a parent folder of materials
Example: 1
units
string
Indicates which kind of unit should this material be measured with
Example: un
mean_price
object
Mean price of the material
Example: 8
has_children
boolean
Indicates if this material is a parent of other materials
Example: 1
default_sell_price
number
The default sell price of the material
Example: 10
default_sell_vat
number
The default sell VAT of the material
Example: 23
is_from_network
boolean
Indicates if the material was shared via Infraspeak Network
Example:
purchase_consumption_type
string
Purchase consumption type of the material
INHERIT
AUTOMATIC
MANUAL
Example: INHERIT
meta
object
required
Meta model structure details
pagination
object
total
integer
required
Total items.
Example: 1
count
integer
required
Total items returned for the current page.
Example: 1
per_page
integer
required
Maximum number of records per page.
Example: 1
current_page
integer
required
Number of the current page.
total_pages
integer
required
Number of the total pages.
links
object
required
Requests that return multiple items include a `links` attribute, with links related to request's context.
self
string
required
read-only
Current response link.
Example: /path?page=1
first
string
required
read-only
Link to the first page result.
Example: /path?page=1
last
string
required
read-only
Link to the previous page result.
Example: /path?page=1
next
string
read-only
Link to the next page result.
Example: /path?page=1
status
string
error
error
object
properties
object
Only present when related to property validation error
dev_message
string
Example: Property validation error. Check the "properties" section in the response.
http_code
integer
400
message
string
Example: Property validation error.
more_info
string
status
string
error
error
object
http_code
integer
401
message
string
Example: Authentication token invalid.
more_info
string
status
string
error
error
object
http_code
integer
429
message
string
Example: Too Many Requests.
more_info
string
status
string
error
error
object
http_code
integer
500
message
string
Example: An error has occurred during the request.
more_info
string
curl -X GET \
'https://api.sandbox.infraspeak.com/v3/elements' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.sandbox.infraspeak.com/v3/elements', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
});
const data = await response.json();
$response = Http::withHeaders([
'Accept' => 'application/json',
'Content-Type' => 'application/json',
])->withToken('YOUR_API_TOKEN')
->get('https://api.sandbox.infraspeak.com/v3/elements');
import requests
response = requests.get(
'https://api.sandbox.infraspeak.com/v3/elements',
headers={
'Accept': 'application/json',
'Content-Type': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN',
},
)
data = response.json()